This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536287 - (RHQ-653) Agent "Get Info On All Plugins" operation does not return the short name of a plugin (and is inconsistent with the agent prompt)
Agent "Get Info On All Plugins" operation does not return the short name of a...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
1.1pre
All All
low Severity low (vote)
: GA
: RHQ 4.10
Assigned To: Jirka Kremser
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-08 06:02 EDT by Heiko W. Rupp
Modified: 2014-04-23 08:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 08:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-07-08 06:02:00 EDT
Do a "plugins info" at the agent prompt. It will give a list like this:

rhq-server-plugin-2.0.1-SNAPSHOT.jar
        Plugin Name:  RHQServer
        Last Updated: 1. Juli 2008 14:11:31 CEST
        File Size:    2.513 bytes
        MD5 Hashcode: 52d4ca2cd2236ee5b7fdcb887f4b02b8

Now run the "Get Info On All Plugins" ops in the GUI. This will list plugins without the field "Plugin Name" (i.e. the short name).

Also the ops "Get info on a specific plugin" ops expects the long name "rhq-server-...jar" while on the agent prompt the "discovery --plugin=<plugin name>" expects the short name ("RHQServer")
Comment 1 Red Hat Bugzilla 2009-11-10 16:14:04 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-653
Comment 2 Heiko W. Rupp 2014-02-23 09:16:34 EST
Hey Jirka,
when you are looking at the other "info on agents" BZ, can you please also have a look here?
Comment 3 Jirka Kremser 2014-02-25 12:41:58 EST
branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=57fdc211b
time:    2014-02-25 18:39:49 +0100
commit:  57fdc211b633b7cea15485cc11cbd79b7a207cf6
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 536287] - (RHQ-653) Agent "Get Info On All Plugins" operation does
         not return the short name of a plugin (and is inconsistent with
         the agent prompt) - Returning also the display name and the
         short name of plugin for both the retrieveAllPluginInfo and the
         retrievePluginInfo agent operations. Now it is more consistent
         with the prompt command for agent (plugins info) and the short
         plugin name can be used elsewhere.
Comment 4 Heiko W. Rupp 2014-04-23 08:29:48 EDT
Bulk closing of 4.10 issues.

If an issue is not solved for you, please open a new BZ (or clone the existing one) with a version designator of 4.10.

Note You need to log in before you can comment on or make changes to this bug.